.slider-direction {
    position: relative;
    z-index: 1;
    left: -21%;
    width: 51rem;
    @media (max-width: 1024px) {
        left: -1.25rem;
        width: 100vw;
    }
//    @media (max-width: 816px) {
//        width: calc(100% + 2.5rem);
//    }
    &__link {
        position: absolute;
        top: 0;
        left: 0;
        right: 15px;
        bottom: 15px;
        z-index: 2;
    }
    &__box {
        display: block;
        position: relative;
        padding: 0 0.94rem 0.94rem 0;
        border-radius: 8px; 
    }
    &__shadow {
        position: absolute;
        top: 0.94rem;
        left: .94rem; 
        width: calc(100% - 0.94rem);
        height: calc(100% - 0.94rem);
        background-size: auto;
        background-position: 0 0;
        background-repeat: no-repeat;
        z-index: -2;
        border-radius: 8px;
        opacity: .3;
        box-shadow: 0 0 14px rgba(35, 61, 87, 0.4) inset;
        filter: blur(2px);
        background-size: cover;
    }
    &__img {
        position: relative;
//        box-shadow: 15px 15px 14px rgba(35, 61, 87, 0.4);
        border-radius: 8px;
        max-width: 14.94rem;
        z-index: -1;
        transition: 3.9s ease;
        @media(max-width: 767px) {
            max-width: none;
            width: 100%;  
        }
    }
    &__text {
        position: absolute;
        bottom: 2.69rem;
        left: 100%;
        pointer-events: none;
        line-height: 1.19rem;
        letter-spacing: 0.15em;
        color: #FFFFFF;
        z-index: 9;
        white-space: nowrap;
        opacity: 0;
        visibility: hidden;
        transition: 0.3s ease .5s;
        backface-visibility: hidden;
        text-transform: uppercase;
        font-weight: 600;
        transform: translateX(-83%);
        @media(max-width: 767px) {
            left: auto;
            bottom: 1.25rem;
            right: 1.5rem;
            transform: translateX(0);
            opacity: 1;
            visibility: visible;
            font-size: 0.88rem;
            max-width: calc(100% - 2rem);
            white-space: normal;
            display: inline-block;
            text-align: right;
        }
    }
    &__slide {
        width: auto;
        transition: .1s ease;   
        &:not(.swiper-slide-active):not(.swiper-slide-duplicate-active) .slider-direction__link {
            pointer-events: none;
            visibility: hidden;
            opacity: 0;
            transition-delay: 0.4s;
            @media(max-width: 767px) {
                display: block;
                pointer-events: auto;
                visibility: visible;
                opacity: 1;
            }
        }
    }
    .swiper-slide-prev {
        .slider-direction__text {
//            opacity: 1;
//            visibility: visible;
        }
    }
    .swiper-slide-active {
        z-index: 2;
        .slider-direction__img {
            will-change: transform;    
        }
        &:hover {
            .slider-direction__img {
                backface-visibility: hidden;
                transform: scale(1.1);
            }
        }
        .slider-direction__text {
            opacity: 1;
            visibility: visible;
//            @media (max-width: 1024px) {
//                opacity: 0;
//                visibility: hidden;
//            }
        }
        .swiper-slide-duplicate-next,
        ~ .slider-direction__slide {
            opacity: 0;
            visibility: hidden;
            @media (max-width: 1024px) {
                opacity: 1;
                visibility: visible;
            }
        }
    }
    &__img-box {
        overflow: hidden;
        border-radius: 8px;
        position: relative;
        z-index: -1;
        backface-visibility: hidden;
    }
}
.swiper-slide-next .slider-direction__link,
.slider-direction__link {
//    pointer-events: none;
//    display: none;
}
.swiper-slide-active {
    .slider-direction__link {
//        display: block;
//        pointer-events: auto;
    }
}
.touchevents {
    .slider-direction {
        .swiper-slide-active {
            &:hover {
                .slider-direction__img {
                    transform: scale(1);
                }
            }
        }
    }
}